<?xml-stylesheet href="http://www.w3.org/StyleSheets/TR/W3C-REC.css" type="text/css"?>
<?xml-stylesheet href="#internalStyle" type="text/css"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><title>BarCampRochester3</title></head>
<body>
<p>No vim!  Argh</p>
<p> <code>
kpb1363@achilles:/usr/local$ git<br/>
ld.so.1: git: fatal: libcurl.so.4: open failed: No such file or directory<br/>
Killed
</code> </p>

<p>
What you have to understand about what makes my job so difficult is this:
some people don't let you control their computer.
</p>

<p>
My presentation went really well today, in 30 minutes I managed to keep 3
people entertained and they didn't walk out of the room until the time slot
was at an end!  After that, I came back to the same room and heard a person
talk about Nethack for 30 minutes, it's arguable that my presentation was
more or less valuable than his, but in the spirit of fostering collaboration,
</p>

<p>
I'd rather say that we both did a good job.
</p>

<p>
But, as for the casino simulator... these levers are a mess!  Someone told
me that git has been installed on the machines in the CS department, well
that's nice but I don't believe it... refer to the error message at the top
of this post, and you will see that it's not running.  I can't (and surely
I shouldn't) really compile curl just for git, even though I need git...
</p>

<p>
Why do I need git?  Because my subversion repository is down.  It's actually
not down, it's been replaced by another one that sits behind a firewall.  And,
I don't feel comfortable installing OpenVPN instances on random people's pcs,
and there's not really any way to get at the repo otherwise because I haven't
configured mod_proxy, because of bandwidth restrictions, the expense is too
prohibitive.
</p>

<p>
It would be OK if I could mirror my whole SVN repo every couple of days to
the central office with all of the bandwidth, but I can't.  It's not engineered
that way, I would have to restrict against writes to the big repo, or have all
of my small offices write to the big repo which brings up again the bandwidth
concern.
</p>

<p>
Long and the short is this: if I could use git instead, my workflow becomes
more flexible.  But, this brings up a new concern of release management: I can
have open and closed codebases, and I can access them both in a controlled way
using no firewalls if I use a repository with access control like
</p>

<ul>
<li><a href="http://repo.or.cz/w/tues-crep.git">repo.or.cz</a></li>
<li><a href="https://github.com/kingdon/tues-crep/tree/master">github.com</a></li>
</ul>

<p>
Either of those will allow me to control writes.  github.com also allows
restricted reads.  the reason that repo.or.cz is different from github.com is
because repo.or.cz stipulates that your products must be GPL!
</p>

<p>
Now, why haven't my facebook feeds updated... my internet connection is fast,
so it must be facebook that is slow!
</p>
<p> <code>x kpb</code> </p>
<p>PS: <a href="delicious-yebyen.htm>The top 54 links on this page are not new anymore.</a>
</body>
</html>
